Joomla 3.0 (alpha) -ensikokemuksia

  • Plasmer
  • Plasmer hahmo Aiheen kirjoittaja
  • Poissa
  • Valvoja
  • Valvoja
Lisää
21.08.2012 20:31 - 21.08.2012 20:33 #3182 : Plasmer
Plasmer loi aiheen: Joomla 3.0 (alpha) -ensikokemuksia
Tervehdys.

Joomla 3.0 tulee uusi ylläpitoliittymän teema (isis). Myös 2.5 versiosta tuttu Bluestork löytyy valittavaksi, muttei vielä tässä kehitysversiossa ole toimiva.

Artikkeleiden kirjoitukseen on nyt tuotu ominaisuus jossa voi asettaa introkuvan ja varsinaisen kuvan. Tätä on ainakin muutama loppukäyttäjä ollut vailla ja hyvä näin.

Tässä muutama 5min silmäyksellä esiin tullut näkyvä muutos.
Liitetiedostot:
Last Edit: 21.08.2012 20:33 : Plasmer.

Kirjaudu tai Rekisteröidy liittyäksesi keskusteluun.

Lisää
21.08.2012 23:38 #3184 : quietFinn
quietFinn vastasi aiheeseen: Joomla 3.0 (alpha) -ensikokemuksia
Huomasin että Joomla 3.x vaatii PHP 5.3.x version.

netFinn - Taatusti Joomla!-yhteensopiva webhosting: www.netfinn.fi
Seuraavat käyttäjät sanoivat kiitos: Plasmer

Kirjaudu tai Rekisteröidy liittyäksesi keskusteluun.

  • mirkoe
  • mirkoe hahmo
  • Poissa
  • Ylläpitäjä
  • Ylläpitäjä
  • Kahvilla pärjää aina!
Lisää
21.08.2012 23:47 #3185 : mirkoe
mirkoe vastasi aiheeseen: Joomla 3.0 (alpha) -ensikokemuksia

Plasmer kirjoitti: Artikkeleiden kirjoitukseen on nyt tuotu ominaisuus jossa voi asettaa introkuvan ja varsinaisen kuvan. Tätä on ainakin muutama loppukäyttäjä ollut vailla ja hyvä näin.


Tuo ominaisuus on muuten nykyisessäkin Joomlassa (2.5).

Kerrotaan myös alkuun kaikille, että Joomla 3 on niin ns. STS versio (Short Term Support) ja että nämä alpha versiot ei missään nimessä ole tuotantokäyttöön. Siirtymiselle Joomla 2.5 versiosta Joomla 3.0 ei ole mitään syytä myöskään virallisen version ilmestyttyä, vaan nämä on lähinnä tarkoitettu kehittäjille ja niille jotka haluavat pysyä uusimpien toimintojen mukana.

Tämä sanottuna, niin Joomla 3 vaikuttaa oikein hyvältä uudistukselta. Suurimmat uudistukset tuntuvat alkuun olevan tuolla käyttöliittymäpuolella, joka on nyt täysin "mobiili" yhteensopiva ja käyttää Twitterin Bootstrappiä .

Muutamia huomioita itseltäni:
  • Editorinäkymä selkeämpi ja tilavampi
  • Asetukset yhdessä kohtaa. Ei tarvitse erikseen mennä komponentin luo, muuttaakseen sen asetuksia
  • Asennus kolmessa vaiheessa - selkeämpi ja lyhyempi(huomatkaa uudet vaatimukset eli min. php 5.3.1 ja Magic Quotes pois päältä)
  • Lukittujen artikkeleiden avaaminen suoraan artikkelien listauksessa

Testailin myös muutamia lisäosien asennuksia (Joomla 2.5 yhteensopivia) ja osa toimi moitteetta, osa ei lainkaan. Tilanne varmasti parantuu julkaisun myötä.

Jos se on Joomlalla, teemme sen - www.clicker.fi
Seuraavat käyttäjät sanoivat kiitos: Plasmer

Kirjaudu tai Rekisteröidy liittyäksesi keskusteluun.

  • Plasmer
  • Plasmer hahmo Aiheen kirjoittaja
  • Poissa
  • Valvoja
  • Valvoja
Lisää
22.08.2012 00:22 #3187 : Plasmer
Plasmer vastasi aiheeseen: Joomla 3.0 (alpha) -ensikokemuksia

Tuo ominaisuus on muuten nykyisessäkin Joomlassa (2.5).

Aivan. Enhän edes ole muistanut.
Nyt se ainakin on paremmin esillä.

Tuli juuri testattua iPhonella tuota 3.0 Ylläpitoliittymää ja vaikutti kyllä ihan toimivalta.

Kirjaudu tai Rekisteröidy liittyäksesi keskusteluun.

Lisää
22.08.2012 19:23 - 22.08.2012 19:23 #3192 : Mortti
Mortti vastasi aiheeseen: Joomla 3.0 (alpha) -ensikokemuksia
Tuo on myös hyvä lukaista Joomla 3.0 Alpha 2 Notes

Finnish Joomla! Language Coordinator | One of the guys behind Joomla.fi
Last Edit: 22.08.2012 19:23 : Mortti.

Kirjaudu tai Rekisteröidy liittyäksesi keskusteluun.

  • naghris
  • naghris hahmo
  • Vieras
  • Vieras
22.08.2012 20:58 #3194 : naghris
naghris vastasi aiheeseen: Joomla 3.0 (alpha) -ensikokemuksia
Aika nätisti toimii viimeisin 2.5.6 kielipaketti adminissa :D
Ei kauheasti näy puuttuvia stringejä

Kirjaudu tai Rekisteröidy liittyäksesi keskusteluun.

Lisää
23.08.2012 01:17 - 23.08.2012 09:25 #3195 : Mortti
Mortti vastasi aiheeseen: Joomla 3.0 (alpha) -ensikokemuksia

naghris kirjoitti: Aika nätisti toimii viimeisin 2.5.6 kielipaketti adminissa :D
Ei kauheasti näy puuttuvia stringejä

Yhteenkään asiaan/käännöksiin/puuttuviin srtingeihin Ei meikäläinen hetkauta itseäni pätkääkään(mm installation file) ... sitten vois kun toka RC tulee... tällöin myös käännösryhmä aktivoidaan!

Oli hienoa, että janne testas suomeks!

Nämä J! 2.5.6 käsiteltävät admin puolen 183 ja site puolen 78 tiedostoa pakettina, kyllä riittävät hommia käännösryhmällekin, jottei tarvitse itse värkkiä tuos STS versiossa(3.0), johon lisää kivaa jo 2.5.7 LTS:ssä tulee myös piakkoin...

Finnish Joomla! Language Coordinator | One of the guys behind Joomla.fi
Last Edit: 23.08.2012 09:25 : Mortti.

Kirjaudu tai Rekisteröidy liittyäksesi keskusteluun.

  • Plasmer
  • Plasmer hahmo Aiheen kirjoittaja
  • Poissa
  • Valvoja
  • Valvoja
Lisää
23.08.2012 09:11 #3198 : Plasmer
Plasmer vastasi aiheeseen: Joomla 3.0 (alpha) -ensikokemuksia
Mainittakoon, että mikäli kokeiluun 3.0 versiota asentelette, niin ongelmilta välttyäksenne suosittelen vaihtamaan jo asennukseen kieleksi englannin.

Kirjaudu tai Rekisteröidy liittyäksesi keskusteluun.

  • Beluga
  • Beluga hahmo
  • Vieras
  • Vieras
26.08.2012 17:10 - 26.08.2012 17:10 #3217 : Beluga
Beluga vastasi aiheeseen: Joomla 3.0 (alpha) -ensikokemuksia
Täältä löytyy site template Protostar, jos joku haluaa testata: github.com/joomla/joomla-cms/tree/master/templates/protostar

Tietääkö kukaan, mitkä bugit tarkalleen PHP 5.4:ssä estävät Joomlan toimivuuden sen kanssa?
Last Edit: 26.08.2012 17:10 : Beluga.

Kirjaudu tai Rekisteröidy liittyäksesi keskusteluun.

Lisää
26.08.2012 20:11 #3221 : quietFinn
quietFinn vastasi aiheeseen: Joomla 3.0 (alpha) -ensikokemuksia

Beluga kirjoitti:
Tietääkö kukaan, mitkä bugit tarkalleen PHP 5.4:ssä estävät Joomlan toimivuuden sen kanssa?


Ai miten niin bugit?
Eiköhän kyse ole lähinnä siitä että PHP:n kehittäjät ovat kovin innokkaita lisäämään kieleen uusia ominaisuuksia, mutta ovat haluttomia ja/tai kykenemättömiä tekemään uudesta versiosta yhteensopivan vanhan kanssa.

Ja kaikkein käsittämättömintä on se että he tekevät näin radikaaleja muutoksia pitäen kuitenkin "major version" numeron samana. Jos joku sovellus toimi PHP 5.2.x version kanssa niin se ei, ilman muutoksia, todennäköisesti toiminut PHP 5.3.x versiolla, ja ihan sama näyttää olevan PHP 5.4.x version kanssa.
Yleensä kun on ollut tapana, että niin kauan kuin tuo "major version" numero pysyy samana niin eri "minor" versiot ovat yhteensopivia.

netFinn - Taatusti Joomla!-yhteensopiva webhosting: www.netfinn.fi

Kirjaudu tai Rekisteröidy liittyäksesi keskusteluun.

Valvojat: jkwebdesignGamossJiiKoo
Sivu luotiin ajassa: 0.180 sekuntia